Skip to content

Grow a volume

POST/volumes/{name}/grow

Enlarges a detached volume's backing store and ext4 filesystem to size_bytes (grow-only; a value at or below the current size is rejected). 409 when the volume is attached to an app (stop it first).

path parameters
object
namestringrequired

Volume name ([a-z0-9][a-z0-9-]*).

Request bodyapplication/json
GrowVolReq
size_bytesintegerint64
Responses
200 OKOK
Volume
attached_tostring
created_atstringdate-time
encryptedboolean
host_idstring
key_idstring
namestring
size_bytesintegerint64
400 Bad requestBad Request
ErrorResponse
codestring
errorstring
404 Not foundNot Found
ErrorResponse
codestring
errorstring
409 ConflictConflict
ErrorResponse
codestring
errorstring
501 Not Implemented
ErrorResponse
codestring
errorstring
Authentication
bearerAuthHTTP bearer. Daemon API key. Omit on a keyless loopback daemon.
Request
POST/volumes/{name}/grow
cURL
curl '/volumes/{name}/grow' \
  -X POST \
  -H 'Content-Type: application/json' \
  -d '{}'
POST/volumes/{name}/grow
Request
Path
Authorization
curl '/volumes/{name}/grow' \
  -X POST \
  -H 'Content-Type: application/json' \
  -d '{}'
Response
Send a request to see the response.
Response
200 OK
{
  "attached_to": "string",
  "created_at": "2026-01-02T15:04:05Z",
  "encrypted": false,
  "host_id": "string",
  "key_id": "string",
  "name": "string",
  "size_bytes": 0
}
Was this page helpful?